<div
  *ngIf="skillName"
  class="relative flex flex-col px-2 pb-2 min-w-[250px] font-normal"
>
  <div class="flex flex-nowrap">
    <div
      class="relative w-[28px] h-[25px] -ml-2 mr-1 bg-[#6f7da7] rounded-ee"
    ></div>

    <h2 class="text-[#6e4724] font-bold">
      {{ skillName }}
    </h2>
  </div>

  <ng-container *ngIf="tooltipType === 'Weapon'">
    <ng-container *ngFor="let weaponAttribute of weaponAttributes">
      <ng-container
        *ngIf="skillName | getSkillAttribute : weaponAttribute; let value"
      >
        <div class="flex text-[#6e4724] text-sm">
          <div class="font-bold">{{ weaponAttribute }} :&nbsp;</div>
          <div>{{ value }}</div>
        </div>
      </ng-container>
    </ng-container>
  </ng-container>
  <ng-container *ngIf="tooltipType === 'Skill'">
    <div class="text-[#6e4724] text-sm my-1 font-normal">
      {{ skillName | getSkillAttribute : "description" }}
    </div>
    <div class="text-sm text-[#6f7da7] flex font-normal">
      <img
        class="w-[10px] h-[10px] mr-2 mt-[5px]"
        src="/assets/images/comment.webp"
        alt=""
      />
      "{{ skillName | getSkillAttribute : "quote" }}"
    </div>
  </ng-container>

  <img
    class="absolute w-20 -top-[33px] -left-[9px]"
    src="/assets/images/tiptop.webp"
    alt=""
  />
</div>
